summaryrefslogtreecommitdiffstats
path: root/development/Coin/Coin.SlackBuild
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-11 22:22:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:22:12 +0200
commit908633cc57a8263288fde15e93a05219cf1a2938 (patch)
treee64205673879328d2ceb6d30576b0e67d902f267 /development/Coin/Coin.SlackBuild
parentbc9c54d0fdd5808edd103508cca21332a44a0fd7 (diff)
downloadslackbuilds-908633cc57a8263288fde15e93a05219cf1a2938.tar.gz
slackbuilds-908633cc57a8263288fde15e93a05219cf1a2938.tar.xz
development/Coin: Updated for version 3.0.0
Diffstat (limited to 'development/Coin/Coin.SlackBuild')
-rw-r--r--development/Coin/Coin.SlackBuild23
1 files changed, 15 insertions, 8 deletions
diff --git a/development/Coin/Coin.SlackBuild b/development/Coin/Coin.SlackBuild
index bb7b4fb81a..5869dba585 100644
--- a/development/Coin/Coin.SlackBuild
+++ b/development/Coin/Coin.SlackBuild
@@ -2,15 +2,14 @@
# Slackware build script for Coin
-# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
-
-set -e
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=Coin
-VERSION=2.4.6
+VERSION=${VERSION:-3.0.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,16 +19,24 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-#chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -40,7 +47,7 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)